----------------------------------------------------------------后端服务启动前执行-----------------------------------------------------------------------------------------
CREATE TABLE `ec_oet_exam_capture` (
	`id` BIGINT (20) NOT NULL AUTO_INCREMENT,
	`creation_time` datetime NOT NULL,
	`update_time` datetime NOT NULL,
	`camera_infos` VARCHAR (800) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `exam_record_data_id` BIGINT (20) NULL DEFAULT NULL,
 `ext_msg` VARCHAR (800) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `face_compare_result` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `faceliveness_result` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `file_name` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `file_url` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `has_virtual_camera` bit (1) NULL DEFAULT NULL,
 `is_pass` bit (1) NULL DEFAULT NULL,
 `is_stranger` bit (1) NULL DEFAULT NULL,
 `landmark` VARCHAR (4000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `process_time` BIGINT (20) NULL DEFAULT NULL,
 `used_time` BIGINT (20) NULL DEFAULT NULL,
 PRIMARY KEY (`id`),
 UNIQUE INDEX `IDX_E_O_E_C_001` (
	`exam_record_data_id`,
	`file_name`
) USING BTREE,
 INDEX `IDX_E_O_E_C_002` (`exam_record_data_id`) USING BTREE
) ENGINE = INNODB DEFAULT CHARACTER
SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE `ec_oet_exam_capture_queue` (
	`id` BIGINT (20) NOT NULL AUTO_INCREMENT,
	`creation_time` datetime NOT NULL,
	`update_time` datetime NOT NULL,
	`base_face_token` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `camera_infos` VARCHAR (800) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `error_msg` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `error_num` INT (11) NULL DEFAULT NULL,
 `exam_record_data_id` BIGINT (20) NULL DEFAULT NULL,
 `ext_msg` VARCHAR (800) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `face_compare_result` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `face_compare_start_time` BIGINT (20) NULL DEFAULT NULL,
 `faceliveness_result` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `file_name` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `file_url` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `has_virtual_camera` bit (1) NULL DEFAULT NULL,
 `is_pass` bit (1) NULL DEFAULT NULL,
 `is_stranger` bit (1) NULL DEFAULT NULL,
 `priority` INT (11) NOT NULL,
 `process_batch_num` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `status` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `student_id` BIGINT (20) NULL DEFAULT NULL,
 PRIMARY KEY (`id`),
 UNIQUE INDEX `IDX_E_O_E_C_Q_001` (
	`exam_record_data_id`,
	`file_name`
) USING BTREE,
 INDEX `IDX_E_O_E_C_Q_002` (`status`, `error_num`) USING BTREE
) ENGINE = INNODB DEFAULT CHARACTER
SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE `ec_oet_exam_sync_capture` (
	`id` BIGINT (20) NOT NULL AUTO_INCREMENT,
	`creation_time` datetime NOT NULL,
	`update_time` datetime NOT NULL,
	`camera_infos` VARCHAR (800) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `exam_record_data_id` BIGINT (20) NULL DEFAULT NULL,
 `ext_msg` VARCHAR (800) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `face_compare_result` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `faceliveness_result` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `file_name` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `file_url` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `has_virtual_camera` bit (1) NULL DEFAULT NULL,
 `is_pass` bit (1) NULL DEFAULT NULL,
 `is_stranger` bit (1) NULL DEFAULT NULL,
 `landmark` VARCHAR (4000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `process_time` BIGINT (20) NULL DEFAULT NULL,
 `used_time` BIGINT (20) NULL DEFAULT NULL,
 PRIMARY KEY (`id`),
 UNIQUE INDEX `IDX_E_O_E_C_001` (
	`exam_record_data_id`,
	`file_name`
) USING BTREE,
 INDEX `IDX_E_O_E_C_002` (`exam_record_data_id`) USING BTREE
) ENGINE = INNODB DEFAULT CHARACTER
SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;



----------------------------------------------------------------后端服务启动后执行------------------------------------------------------------------------------------------


